<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.flow.*" %>
<%@ include file="/sessionInfo.jsp"%>
<%
    //获取提交的参数
    String sType = SzConvert.toZeroStr(request.getParameter("type"));
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(request.getParameter("PKEY"));
    String sFlowID = SzConvert.toZeroStr(request.getParameter("FlowID"));     //流程ID
    String sStepID = SzConvert.toZeroStr(request.getParameter("StepID"));     //步骤ID 
    String sFormID = SzConvert.toZeroStr(request.getParameter("FormID"));  //表单ID     
%>
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
  <input type="hidden" name="type" value="<%=sFlowID%>">
  
  <input type="hidden" name="FormID" value="<%=sFormID%>"> 
  <input type="hidden" name="FlowID" value="<%=sFlowID%>">
  <input type="hidden" name="StepID" value="<%=sStepID%>">  
</form>
<%
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));

    LcFieldPopedom lcFieldPopedom = new LcFieldPopedom();
    boolean flag = false;
    String sUrl = "index.jsp";
    String sMessage = "";
    flag = lcFieldPopedom.set(request);
    sMessage = SzOut.getMessage();

    if (flag) {
        out.println(SzPageHelp.jsAlert("操作成功"));
        //out.println(SzPageHelp.jsGoUrl(sUrl));
        out.println(SzPageHelp.jsFormSubmit("formHidden",sUrl));
    } else {
        out.println(SzPageHelp.jsAlertBack(sMessage));
    }
%>
